/**
 * file: Nbody.kt
 *
 * @author: YOUR NAME HERE
 */

import processing.core.*
import ddf.minim.*

const val GRAVITATIONAL_CONSTANT = 6.67e-11 // gravitational constant
const val deltaT = 25000.0 // time quantum

const val resources = "src/resources"
const val backgroundImageFile = "$resources/starfield.jpg"
const val musicFile = "$resources/2001.wav"

var n = 0 // number of bodies
var radius = 0.0 // radius of the universe
lateinit var px: DoubleArray // x-coord's of initial positions
lateinit var py: DoubleArray // y-coord's of initial positions
lateinit var vx: DoubleArray // initial velocities along x-axis
lateinit var vy: DoubleArray // initial velocities along y-axis
lateinit var mass: DoubleArray // masses
lateinit var bodyName: Array<String> // names of bodies

fun main(args: Array<String>) {
    /* write code to open input file and read in all data here */

    /* now calls the main method of your PApplet class */
    PApplet.main("NbodyPApplet")
}

class NbodyPApplet : PApplet() {

    override fun settings() {
        size(512, 512)
    }

    override fun setup() {
    }

    override fun draw() {
    }
}
